Check Point Reference:CPAI-2012-086
Date Published: 12 Mar 2012
Severity: High
Last Updated:
Source: CVE-2012-0016
Protection Provided by:

Security Gateway
R70

  • R71
  • R75

  • Who is Vulnerable? Microsoft Expression Design 1
    Microsoft Expression Design 1 Service Pack 1
    Microsoft Expression Design 2
    Microsoft Expression Design 3
    Microsoft Expression Design 4
    Vulnerability Description A remote code execution vulnerability has been reported in Microsoft Expression Design.
    Update/Patch AvaliableApply patches from: MS12-022
    Vulnerability DetailsThe vulnerability is due to an error the way Microsoft Expression Design restricts the path used for loading external libraries. A remote attacker could exploit this issue by enticing a user to open a legitimate Expression Design-related file (such as a .xpr or .DESIGN file) that is located in the same network directory as a specially crafted dynamic link library (DLL) file. Successful exploitation could allow an attacker to take complete control of an affected system.

    Protection Overview

    This protection will detect and block the transferring of malicious DLL files over SMB and WebDAV.

    In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, Protection tab and select the version of your choice.

    1. In the IPS tab, click Protections and find the Microsoft Expression Design Insecure Library Loading (MS12-022) protection using the Search tool and Edit the protection's settings.
    2. Install policy on all modules.

    SmartView Tracker will log the following entries:
    Attack Name: Windows SMB Protection Violation
    Attack Information: Microsoft Expression Design insecure library loading (MS12-022)